<?php
include '../config.php';
include '../func.php';
head();
aut();
ban();

####################Запись онлайна##################
mysql_query("UPDATE `profile` SET `online` = 'service' WHERE `id` = '".$id_session."'");
####################################################
echo head ."Сервисы / <b>Звезды Вконтакте</b>".div.katalog;

$host= "kinowap.tv"; $path="/social/vkontakte/?".$_SERVER ['QUERY_STRING'];
$fp=fsockopen($host,80,$errno, $errstr,10);
if(!$fp) { echo "$errstr ($errno)<br/>\n"; }else{
$data = "";$post=0; foreach($_POST as $key=>$value){
$post=1; $data.="&$key=$value";} if($data)$data=substr ($data,1);
if($post) $headers = "POST $path HTTP/1.0\r\n";else
$headers = "GET $path HTTP/1.0\r\n"; $headers.= "Host: $host\r\n";
$headers.= "Accept: text/html, application/xml;q=0.9, application/xhtml+xml, image/png, image/jpeg, image/gif,image/x-bitmap, */*;q=0.1\r\n";
$headers.= "Accept-Charset: utf-8;q=0.6 windows-1251;q=0.1*;q=0.1\r\n";
$headers.= "Accept-Encoding: utf-8\r\n";
$headers.= "Accept-Language: ru, en;q=0.9\r\n";
$headers.= "User-Agent: ".$_SERVER ['HTTP_USER_AGENT']."\r\n";
if($post){ $headers.= "Content-type: application/x-www-form-urlencoded\r\n";
$headers.= "Content-Length: ".strlen ($data)."\r\n";
$headers.= "\r\n"; $headers.= $data;}else $headers.="\r\n";
@fwrite($fp, $headers); while($file != "\r\n") $file = @fgets($fp, 128);
$file = ''; while(!feof($fp)) $file.= @fgets($fp, 4096); @fclose($fp); }
##############################################
$file=str_replace('<?xml version="1.0" encoding="utf-8"?>','', $file);
$file=preg_replace('|<!DOCTYPE(.*?)<body>|is','',$file);
$file=str_replace('<img src="','<img src="http://kinowap.tv/social/vkontakte/', $file);
$file=preg_replace("|Все звезды</a></div>(.*?)</body>|is","Все звезды</a></div></body>",$file);
$file=str_replace('<div class="bmenu">','<div class="p_m">', $file);
$file=preg_replace("|<center><b><font color ='green'><small>Ежедневные обновления(.*?)Рекомендуемые</a></div>|is","",$file);



##############################################
echo $file;

echo div;
navig();
foot();
?>